import request from '/@/utils/request';

export function approveBasicApi() {
    return {
        // v1
        getApproveBasicList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/ruleItemStand/page/list`,
                method: 'post',
                data: data
            });
        },
        // v1
        addApproveBasic: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/ruleItemStand/save`,
                method: 'post',
                data: data
            });
        },
        // v1
        modApproveBasic: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/ruleItemStand/update`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteApproveBasic: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/ruleItemStand/delete`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllApproveBasicList: (data: {}) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/ruleItemStand/list`,
                method: 'post',
                data
            });
        }
    };
}
